Log4j Version 1.2.7: Class Transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class Transform

    java.lang.Object
      |
      +--org.apache.log4j.helpers.Transform

public class Transform
extends Object

Utility class for transforming strings.

Author:
  Ceki Gülcü, Michael A. McAngus

Constructor Summary
`Transform()`

Method Summary
`static void` | `appendEscapingCDATA(StringBuffer buf, String str)` Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
`static String` | `escapeTags(String input)` This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### escapeTags

    public static String escapeTags(String input)

  This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.
  Parameters:
    `input` - The text to be converted.
  Returns:
    The input string with the characters '<' and '>' replaced with &lt; and &gt; respectively.

### appendEscapingCDATA

    public static void appendEscapingCDATA(StringBuffer buf,
                                           String str)

  Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
  Parameters:
    `buf` - StringBuffer holding the XML data to this point. The initial CDStart () of the CDATA section are the responsibility of the calling method.
    `str` - The String that is inserted into an existing CDATA Section within buf.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.